Package: mt-st / 1.1-6

25-kernel_newer_than_2.6.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
Description: Don't show warning for kernels newer than 2.6
Author: Ivo De Decker <ivo.dedecker@ugent.be>
Forwarded: no
Last-Update: 2013-06-01

--- a/mt.c
+++ b/mt.c
@@ -714,7 +714,8 @@
 	return 2;
     }
     sscanf(uts.release, "%d.%d.%d", &i, &tapeno, &tapemode);
-    if (i < 2 || tapeno < 6 || tapemode < 26)
+    if ((i < 3) &&
+        (i < 2 || tapeno < 6 || tapemode < 26))
 	printf("Your kernel (%d.%d.%d) may be too old for this command.\n",
 	       i, tapeno, tapemode);